#pragma	once

#include "types.h"
#include <stdio.h>

class	image
{
private:

	uint	mTexID;
	uint	mNCC;
	uint	mFormat;
	int		mSX;
	int		mSY;
	byte	*mData;

public:

	image() : mTexID(0),mNCC(0),mFormat(0),mSX(0),mSY(0),mData(0){}

	bool Load(FILE *fp);
	bool Load(const string fname);
	bool Load(uint resource);
	void SetToMemory();
	void Bind();
	void Free();
};